Page MenuHomePhabricator

Set up a tileserver for OSM in Labs
Closed, ResolvedPublic

Description

Apart from T62461: Replicate OSM to a database server accessible by Labs users we will need a tileserver. At first glance this involves something like:

  • mapnik
  • renderd
  • mod_tile

Version: unspecified
Severity: enhancement
See Also:
T35980: Wikimedia-hosted OpenStreetMap (OSM) / mapnik tileservers wanted for mobile usage

Details

Reference
bz60819

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:52 AM
bzimport added a project: Toolforge.
bzimport set Reference to bz60819.
silke created this task.Feb 4 2014, 10:41 AM
silke added a comment.Feb 4 2014, 10:44 AM

First step: Do it in Labs, later: eventually move to dedicated hardware.

silke added a comment.May 8 2014, 2:58 PM

What's the status here?

I just got informed a preliminary tileserving infra based on a single VM is up for the Hackathon. So seems like it is moving on

As a 'see also', bug 33980 is for doing this in production.

coren moved this task from Triage to Backlog on the Toolforge board.Nov 25 2014, 4:15 PM
Mattflaschen-WMF set Security to None.
akosiaris closed this task as Resolved.Jan 20 2015, 9:18 PM

This is now actually done. The maps project exists in labs with multiple VMs named maps-tiles and maps-wma which serve the tiles under tiles.wmflabs.org and wma.wmflabs.org and respective subdomains.

mxn added a comment.Jan 21 2015, 4:19 AM

The old Toolserver tile server worked for all the Wikimedia languages, not just English, German, and Russian. Are there plans to expand the selection? I had to switch the Vietnamese Wikipedia’s OSM gadget to use tile.openstreetmap.de and would like to hook it up to WMF Labs once its language support is built out.

In T62819#988323, @mxn wrote:

The old Toolserver tile server worked for all the Wikimedia languages, not just English, German, and Russian. Are there plans to expand the selection? I had to switch the Vietnamese Wikipedia’s OSM gadget to use tile.openstreetmap.de and would like to hook it up to WMF Labs once its language support is built out.

Was this filed separately?

mxn added a comment.Apr 10 2015, 3:40 AM
In T62819#988323, @mxn wrote:

The old Toolserver tile server worked for all the Wikimedia languages, not just English, German, and Russian. Are there plans to expand the selection? I had to switch the Vietnamese Wikipedia’s OSM gadget to use tile.openstreetmap.de and would like to hook it up to WMF Labs once its language support is built out.

Was this filed separately?

The osm-multilingual tile server turned out to be completely broken: T95644. I was thrown off because I was seeing 404 errors with the language vi,_ but not en,_; that’s actually the expected behavior for the first request, until the tile server finishes computing the tile’s contents.